/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2020  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef CONVERSIONHEADERFILE
#define CONVERSIONHEADERFILE

#include <QByteArray>

struct Conversion
{
	static QByteArray Ascii(const unsigned int index,const QByteArray &array);
	static double Double(const unsigned int index,const QByteArray &array);
	static float Float(const unsigned int index,const QByteArray &array);
	static short Short_Integer(const unsigned int index,const QByteArray &array);
	static int Integer(const unsigned int index,const QByteArray &array);
	static qint64 Long_Integer(const unsigned int index,const QByteArray &array);
	
	static void Set_Ascii(const unsigned int index,const QByteArray &data,QByteArray *array);
	static void Set_Double(const unsigned int index,const double &data,QByteArray *array);
	static void Set_Float(const unsigned int index,const float &data,QByteArray *array);
	static void Set_Short_Integer(const unsigned int index,const short &data,QByteArray *array);
	static void Set_Integer(const unsigned int index,const int &data,QByteArray *array);
	static void Set_Long_Integer(const unsigned int index,const qint64 &data,QByteArray *array);
};

#endif
